Silence firing notifications for one alert rule.
curl --request POST \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/silences \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"ends_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"rule_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"starts_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/silences"
payload = {
"ends_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"rule_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"starts_at": "2023-11-07T05:31:56Z"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ends_at: '2023-11-07T05:31:56Z',
reason: '<string>',
rule_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
starts_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/silences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/silences"
payload := strings.NewReader("{\n \"ends_at\": \"2023-11-07T05:31:56Z\",\n \"reason\": \"<string>\",\n \"rule_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"starts_at\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"silence": {
"created_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"rule_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"starts_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cancelled_at": "2023-11-07T05:31:56Z"
}
}Silences
Silence firing notifications for one alert rule.
POST
https://api.infrawatch.com/api/v1
/
projects
/
{project_uuid}
/
alerting
/
silences
Silence firing notifications for one alert rule.
curl --request POST \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/silences \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"ends_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"rule_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"starts_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/silences"
payload = {
"ends_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"rule_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"starts_at": "2023-11-07T05:31:56Z"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ends_at: '2023-11-07T05:31:56Z',
reason: '<string>',
rule_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
starts_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/silences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/alerting/silences"
payload := strings.NewReader("{\n \"ends_at\": \"2023-11-07T05:31:56Z\",\n \"reason\": \"<string>\",\n \"rule_uuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"starts_at\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"silence": {
"created_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"rule_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"starts_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cancelled_at": "2023-11-07T05:31:56Z"
}
}Authorizations
Infrawatch API key. Supply the complete key directly as the header value.
Path Parameters
Body
application/json
Response
Alert silence created.
Show child attributes
Show child attributes
⌘I